Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.benchmark
Class MyBenchmarkTask

    java.lang.Object
      org.neuroph.util.benchmark.BenchmarkTask
          org.neuroph.util.benchmark.MyBenchmarkTask

    public class MyBenchmarkTask

extends BenchmarkTask

This class is example of custom benchmarking task for Multi Layer Perceptorn network Note that this benchmark only measures the speed at implementation level - the speed of data flow forward and backward through network

Author:
  Zoran Sevarac

Constructor Summary
`MyBenchmarkTask(String name)`

Method Summary
`void` | `prepareTest()` Benchmrk preparation consists of training set and neural networ creatiion.
`void` | `runTest()` This method should hold the code to benchmark

Methods inherited from class org.neuroph.util.benchmark.BenchmarkTask
`getName, getTestIterations, getWarmupIterations, setName, setTestIterations, setWarmupIterations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyBenchmarkTask

    public MyBenchmarkTask(String name)

Method Detail

### prepareTest

    public void prepareTest()

  Benchmrk preparation consists of training set and neural networ creatiion. This method generates training set with 100 rows, where every row has 10 input and 5 output elements Neural network has two hiddden layers with 8 and 7 neurons, and runs learning rule for 2000 iterations

  Specified by:
    `prepareTest` in class `BenchmarkTask`

### runTest

    public void runTest()

  Description copied from class: `BenchmarkTask`
  This method should hold the code to benchmark

  Specified by:
    `runTest` in class `BenchmarkTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.